List risk profiles
GET
/api/v1/risk_profile
const url = 'https://app.prefactorai.com/api/v1/risk_profile';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.prefactorai.com/api/v1/risk_profile \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”idempotency_key
sorting
Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, name.
string
Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, name.
pagination[offset]
integer
Zero-based offset of the first item to return.
pagination[page_size]
integer
Number of items to return per page (1-100).
Responses
Section titled “Responses”Success
Media typeapplication/json
object
pagination
One of:
PaginationOutput
Pagination information
object
item_count
The total number of items
integer
item_end
The index of the last item in the page (one-based)
integer
item_start
The index of the first item in the page (one-based)
integer
next_page_offset
page_count
The total number of pages
integer
page_index
The index of the current page (one-based)
integer
page_offset
The offset of the first item in the page (zero-based)
integer
page_size
The number of items per page
integer
Null
Null
string
sorting
status
string
Example
{ "pagination": { "item_count": 200, "item_end": 100, "item_start": 91, "next_page_offset": 110, "page_count": 20, "page_index": 10, "page_offset": 90, "page_size": 10, "previous_page_offset": 80 }, "sorting": null, "status": "success", "summaries": [ { "description": "Restrictive risk profile for sensitive operations", "id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "name": "High Risk", "type": "risk_profile" } ]}default
Section titled “default”Error